Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005593 [JEDI VCL] 00 JVCL Components crash always 2011-06-09 09:50 2011-09-21 14:10
Reporter Dunkel85 View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005593: Changing caption of TMenuItem of JvPopupMenu while runtime = crash (only when style:=msXP)
Description Hi guys!

First of all, many many thanks for creating the Jedi Component Collection!
I really love it and use it every day.

The only bug I noticed so far is this:

When using the JvPopupMenu component with Style:=msXP, changing the caption of any TMenuItem of the JvPopupMenu while runtime creates the exception error
"exception class EInvalidOperation with message 'Canvas does not allow drawing'"

You can always reproduce this error: Just run this application and rightclick anywhere on the form, which opens the JvPopupMenu. I set a Timer which changes the caption every second. It doesn't matter what interval the timer has. When the JvPopupMenu is opened, it always crashes. Note that this happens only when Style is set to msXP.
It also gives me errors when running in compiled version, but it does not with this test-application. Don't know why. But it's really annoying in IDE mode.

I searched a workaround for hours, but couldn't find one.
Except not changing the caption of the TMenuItem, or changing style to msStandard.
Unfortunately this is not an option for me.

Thanks in advance :) Keep up the good work!

Peter aka Dunkel85 (dunkel-ritter@gmx.de)
Additional Information
Tags No tags attached.
Attached Files zip file icon JvPopupMenuBug.zip [^] (7,837 bytes) 2011-06-09 09:50

- Relationships

-  Notes
(0018706)
obones (administrator)
2011-06-09 09:58

What version of Delphi? What version of Windows? Aero used or not?
(0018709)
Dunkel85 (reporter)
2011-06-09 10:12

Borland Delphi Enterprise 7.0 (Build 8.1)
@ Windows 7 x64 nonAero
(0018722)
obones (administrator)
2011-06-10 15:20

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2011-06-09 09:50 Dunkel85 New Issue
2011-06-09 09:50 Dunkel85 File Added: JvPopupMenuBug.zip
2011-06-09 09:58 obones Note Added: 0018706
2011-06-09 09:58 obones Status new => feedback
2011-06-09 10:12 Dunkel85 Note Added: 0018709
2011-06-10 15:12 obones Status feedback => confirmed
2011-06-10 15:20 obones Note Added: 0018722
2011-06-10 15:20 obones Status confirmed => resolved
2011-06-10 15:20 obones Fixed in Version => Daily / SVN
2011-06-10 15:20 obones Resolution open => fixed
2011-06-10 15:20 obones Assigned To => obones
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker